---
lang: en
title: 'API docs: core.application.setupshutdown'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.application.setupshutdown.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [setupShutdown](./core.application.setupshutdown.md)

## Application.setupShutdown() method

Set up signals that are captured to shutdown the application

<b>Signature:</b>

```typescript
protected setupShutdown(signals: NodeJS.Signals[], gracePeriod?: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  signals | <code>NodeJS.Signals[]</code> | An array of signals to be trapped |
|  gracePeriod | <code>number</code> | A grace period in ms before forced exit |

<b>Returns:</b>

`void`


